Bug 22212 - при загрузке livecd с wi-fi Intel 3945ABG на борту не определяется адаптер
: при загрузке livecd с wi-fi Intel 3945ABG на борту не определяется адаптер
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mkimage-profiles-desktop)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
: 19564
  Show dependency tree
 
Reported: 2009-11-08 22:00 by
Modified: 2010-10-27 07:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-11-08 22:00:35
Ноут ASUS F3SR, после загрузки с liveCD c ядром
kernel-image-std-def-2.6.30-al14 не запускается wi-fi адаптер. dmesg сразу
после загрузки

[    1.938775] iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection
driver for Linux, 1.2.26ks 
[    1.938778] iwl3945: Copyright(c) 2003-2009 Intel Corporation 
[    1.938849] iwl3945 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17 
[    1.938863] iwl3945 0000:03:00.0: setting latency timer to 64  
[    1.997630] iwl3945 0000:03:00.0: Tunable channels: 13 802.11bg, 23 802.11a
channels  
[    1.997634] iwl3945 0000:03:00.0: Detected Intel Wireless WiFi Link 3945ABG  
[    1.997765]   alloc irq_desc for 31 on cpu 0 node 0  
[    1.997767]   alloc kstat_irqs on cpu 0 node 0 
[    1.997799] iwl3945 0000:03:00.0: irq 31 for MSI/MSI-X   
[    2.037466] phy0: Failed to initialize wep: -2 
[    2.037511] iwl3945 0000:03:00.0: Failed to register hw (error -2)  
[    2.037615] iwl3945 0000:03:00.0: PCI INT A disabled 
[    2.037621] iwl3945: probe of 0000:03:00.0 failed with error -2   

если передернуть вручную

rmmod iwl3945
modprobe iwl3945

то появляется интерфейс. Соответственно, dmesg после перезапуска

[  289.971049] iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection
driver for Linux, 1.2.26ks
[  289.971052] iwl3945: Copyright(c) 2003-2009 Intel Corporation
[  289.971111] iwl3945 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[  289.971130] iwl3945 0000:03:00.0: setting latency timer to 64
[  290.015896] iwl3945 0000:03:00.0: Tunable channels: 13 802.11bg, 23 802.11a
channels
[  290.015899] iwl3945 0000:03:00.0: Detected Intel Wireless WiFi Link 3945ABG
[  290.016031]   alloc irq_desc for 33 on cpu 0 node 0
[  290.016033]   alloc kstat_irqs on cpu 0 node 0
[  290.016063] iwl3945 0000:03:00.0: irq 33 for MSI/MSI-X
[  290.292883] phy1: Selected rate control algorithm 'iwl-3945-rs'
[  294.325005] iwl3945 0000:03:00.0: firmware: requesting iwlwifi-3945-2.ucode
[  294.523901] iwl3945 0000:03:00.0: loaded firmware version 15.32.2.9
[  294.566283] Registered led device: iwl-phy1::radio
[  294.566314] Registered led device: iwl-phy1::assoc
[  294.566339] Registered led device: iwl-phy1::RX
[  294.566366] Registered led device: iwl-phy1::TX
[  294.818761] NET: Registered protocol family 17

Пакет firmware-iwl3945 установлен
------- Comment #1 From 2009-11-13 02:48:56 -------
Ничем не могу помочь, поскольку на доступном 3945ABG под
2.6.30-std-def-alt14/i586 проблем не наблюдаю.

Начинал бы с проверки наличия обновления BIOS, далее -- nolapic и прочие
подобные пинки в работу с железом.
------- Comment #2 From 2009-11-13 09:18:11 -------
судя по всему, проблема не в ядре... Антон Бояршинов сказал, что пропагатор не
умеет wi-fi, так что может, даже и не бага это?
------- Comment #3 From 2009-11-15 18:34:10 -------
ммм... Хорошо бы проверить _отсутствие_ wifi-модулей в live initrd.
------- Comment #4 From 2009-11-25 18:18:14 -------
(В ответ на комментарий №3)
> ммм... Хорошо бы проверить _отсутствие_ wifi-модулей в live initrd.
В этом и есть баг. Они там присутствуют
------- Comment #5 From 2009-11-25 18:35:18 -------
*** Bug 22366 has been marked as a duplicate of this bug. ***
------- Comment #6 From 2009-11-25 18:44:53 -------
На правильный пакет.

Изменение заключается в удаление net/wireless из профиля initrd
------- Comment #7 From 2009-11-29 00:41:28 -------
2 stanv: а как там сейчас в live делается initrd? (profiles/modules точно ни
при чём, нету там iwl3945.ko; по live/ сейчас не сообразил)
------- Comment #8 From 2009-11-29 00:47:55 -------
(In reply to comment #7)
> profiles/modules точно ни при чём
Хм, при чём, почитав bug #22366 и судя по
356f72b2 (Anton V. Boyarshinov 2009-11-27 14:49:16 +0300   6)
drivers/net/\([^w]\|w[^i]\).\+\.ko

FIXED?